/* readconf.h
 * Copyright (C) 2006 Tillmann Werner <tillmann.werner@gmx.de>
 *
 * This file is free software; as a special exception the author gives
 * unlimited permission to copy and/or distribute it, with or without
 * modifications, as long as this notice is preserved.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef __HONEYTRAP_READCONF_H
#define __HONEYTRAP_READCONF_H 1

#include <netdb.h>

#include "interface.h"

char *user, *group;

char *get_next_line(FILE * file);
void *get_value(char *buf, const char delim);
int configure(int argc, char *argv[]);
int parse_config_file(void);
int process_config_option(char *opt, char* val);
char *create_bpf(char *bpf_cmd_ext, struct hostent *ip_cmd_opt, struct if_data *interface);

#endif
